## mod dtcl-0.11.6

=== debian/changelog ===
libapache-mod-dtcl (0.11.6-1) unstable; urgency=low

  * Fixed problem with 'var' command.  Variables with similar names
    sometimes are confused.

 -- David N. Welton <davidw@debian.org>  Wed, 13 Mar 2002 16:57:14 +0100

libapache-mod-dtcl (0.11.5-2) unstable; urgency=low

  * Fixed postinst and postrm, thanks to Jnos Holnyi <csani@lme.linux.hu>.

 -- David N. Welton <davidw@debian.org>  Mon, 19 Nov 2001 12:42:06 +0100

libapache-mod-dtcl (0.11.5-1) unstable; urgency=low

  * Check return value for ApacheRequest___parse.

 -- David N. Welton <davidw@debian.org>  Sat,  3 Nov 2001 17:38:08 +0100

libapache-mod-dtcl (0.11.4-1) unstable; urgency=low

  * Fixed bug in Parse command.
  
  * Added Debian SSL config stuff from Jnos Holnyi (closes: #115333)

 -- David N. Welton <davidw@debian.org>  Mon, 15 Oct 2001 20:43:40 +0200

libapache-mod-dtcl (0.11.3-1) unstable; urgency=low

  * I18n updates.

  * Fixed build scripts. (closes: #111488)

 -- David N. Welton <davidw@debian.org>  Tue,  9 Oct 2001 17:22:37 +0200

libapache-mod-dtcl (0.11.2-1) unstable; urgency=low

  * Minor updates.
  * Fixes build variables: (closes: #102200)

 -- David N. Welton <davidw@debian.org>  Thu, 30 Aug 2001 11:08:17 +0200

libapache-mod-dtcl (0.11.1-1) unstable; urgency=low
  
  * Fixed VARS variable, documentation updates.  
 
  * Fixed build variables: (closes: #102208)
  
 --

-- David N. Welton <davidw@debian.org>  Fri, 27 Jul 2001 13:52:10 +0200

libapache-mod-dtcl (0.11.0-1) unstable; urgency=low

  * New variable command 'var'.

 -- David N. Welton <davidw@debian.org>  Sat,  2 Jun 2001 19:18:30 +0200

libapache-mod-dtcl (0.10.1-0) unstable; urgency=low

  * Fixed file upload bug.
  
  * Added ErrorScript directive.
  
  * Update docs.

 -- David N. Welton <davidw@debian.org>  Tue,  1 May 2001 18:17:08 +0200

libapache-mod-dtcl (0.9.3-3) unstable; urgency=low

  * Upgraded apreq* stuff to deal with file uploads directly to apache
    variable.
  
  * UPLOAD variables can now be lists.
  
  * Switched syntax to <? ?>.

 -- David N. Welton <davidw@debian.org>  Tue, 20 Mar 2001 20:17:29 +0100

libapache-mod-dtcl (0.9.3-2) unstable; urgency=low

  * Added build depends.
  
  * Closes #85787.
  
  * Closes #87251.

 -- David N. Welton <davidw@debian.org>  Mon, 26 Feb 2001 14:01:34 +0100

libapache-mod-dtcl (0.9.3-1) unstable; urgency=low

  * New version.
  
  * Cleaned up Debian build stuff, (Fixes #66402).

 -- David N. Welton <davidw@prosa.it>  Fri, 16 Feb 2001 14:11:55 +0100

libapache-mod-dtcl (0.9.0-1) unstable; urgency=low

  * New version.
  
  * Started using apreq code for file uploads and other stuff.
  
  * Documentation changes.

 -- David N. Welton <davidw@debian.org>  Mon, 12 Feb 2001 19:52:59 +0100

libapache-mod-dtcl (0.8.12-1) unstable; urgency=low

  * Various cookie fixes.
  
  * New build system.
  
 -- David N. Welton <davidw@prosa.it>  Sun,  5 Nov 2000 23:48:11 +0100

libapache-mod-dtcl (0.8.8-2) unstable; urgency=low

  * Code to deal with before/after scripts.
  
  * Rewrite of Apache directives.

 -- David N. Welton <davidw@linuxcare.com>  Tue, 26 Sep 2000 17:59:57 +0200

libapache-mod-dtcl (0.8.1-1) unstable; urgency=low

  * Put some code in as a workaround for systems with Tcl compiled against
    threads.

 -- David N. Welton <davidw@efn.org>  Thu, 22 Jun 2000 01:42:26 +0200

libapache-mod-dtcl (0.8.0-1) unstable; urgency=low

  * Added information about building on HPUX.
  * Added support for .tcl files.
  * Fixed bug in HGetVars which manifests itself only when content
    negotiation is used.
  * Updated documentation.

 -- David N. Welton <davidw@efn.org>  Tue, 16 May 2000 19:00:05 +0200

libapache-mod-dtcl (0.7.5-1) unstable; urgency=low

  * Changed hputs to use "" instead of {}, so that { and } may be escaped
    with backslashes.
  
  * Changed output format for errors.

 -- David N. Welton <davidw@efn.org>  Wed, 19 Apr 2000 17:49:47 +0200

libapache-mod-dtcl (0.7.3-2) frozen unstable; urgency=low

  * Removed "code2html" target from build target.  
  * Fixes #58431.

 -- David N. Welton <davidw@efn.org>  Fri,  3 Mar 2000 13:11:23 +0100

libapache-mod-dtcl (0.7.3-1) frozen unstable; urgency=low

  * Fixes GET argument parsing bug.
  * Changed argument parsing to create one list and avoid sublists.

 -- David N. Welton <davidw@efn.org>  Sat, 22 Jan 2000 20:46:34 -0800

libapache-mod-dtcl (0.7.0-2) unstable; urgency=low

  * Made hputs, include, and buffer_add commands safe for binary and
    sparse data.
  
  * Now able to output different mime types.

 -- David N. Welton <davidw@efn.org>  Sat, 18 Dec 1999 18:50:29 -0800

libapache-mod-dtcl (0.7.0-1) unstable; urgency=low

  * Major overhaul of header and buffering system.
  * Several new commands.

 -- David N. Welton <davidw@efn.org>  Sun,  5 Dec 1999 21:24:23 -0800

libapache-mod-dtcl (0.6.4-2) unstable; urgency=low

  * Fixed Lintian problems:
  * Set and remove links between /usr/doc and /usr/share/doc.
  * Added dh_installchangelogs.
  
 -- David N. Welton <davidw@efn.org>  Sun, 14 Nov 1999 15:15:51 -0800

libapache-mod-dtcl (0.6.4-1) unstable; urgency=low

  * Patch from Jan Nijtman to compile mod_dtcl under windows and eliminate
    strings.h.  Included windows/ directory in sources.

 -- David N. Welton <davidw@efn.org>  Sat,  6 Nov 1999 09:54:34 -0800

libapache-mod-dtcl (0.6.3-1) unstable; urgency=low

  * Fixed small bug in variable decoding (Patrick Diamond).

 -- David N. Welton <davidw@efn.org>  Mon, 18 Oct 1999 07:27:49 -0700

libapache-mod-dtcl (0.6.2-1) unstable; urgency=low

  * Added Patrick Diamond's fix for remnant namespaces.
  * Simplified handling of list CGI variables (thanks to Andrew N. Nefedkin)

 -- David N. Welton <davidw@efn.org>  Fri, 13 Aug 1999 21:23:52 -0700

libapache-mod-dtcl (0.6.1-2) unstable; urgency=low

  * Now, "examples.ttml?a=1&a=2&a=3" creates a Tcl list, instead of
   overwriting 'a' with the last value.

 -- David N. Welton <davidw@efn.org>  Tue,  3 Aug 1999 23:49:44 -0700



## mod encoding-20060316

=== Makefile ===
# Generated automatically from Makefile.in by configure.
##
##  Makefile -- Build procedure for sample encoding Apache module
##  Autogenerated via ``apxs -n encoding -g''.
##

APXS=apxs
APACHECTL=apachectl

builddir=.
top_srcdir=$(shell $(APXS) -q DATADIR)
top_builddir=$(shell $(APXS) -q DATADIR)
include $(top_srcdir)/build/special.mk

#   the default target
all: local-shared-build

#   install the shared object file into Apache 
install: install-modules

#   cleanup
clean:
	-rm -f mod_encoding.o mod_encoding.lo mod_encoding.slo mod_encoding.la 

#   simple test
test: reload
	lynx -mime_header http://localhost/encoding

#   install and activate shared object by reloading Apache to
#   force a reload of the shared object file
reload: install restart

#   the general Apache start/restart/stop
#   procedures
start:
	$(APACHECTL) start
restart:
	$(APACHECTL) restart
stop:
	$(APACHECTL) stop

## mod example

=== Makefile ===

include ../Makefile

SRCS=mod_example.c
OBJS=$(SRCS:.c=.o)

module: ${SRCS} ${OBJS}

INCS=-I../.. -I../../../libosiris -I../../../libfileapi -I../../../..

# meta-rule for compiling any "C" source file.
$(OBJS): $(SRCS)
	$(CC) $(DEFS) $(DEFAULT_INCLUDES) ${INCLUDES} ${INCS} $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS)  $(CFLAGS) -c $(SRCS)
	cp $@ ..

## mod fastcgi-2.4.7

=== debian/changelog ===
libapache-mod-fastcgi (2.4.7~0910052141-1byte3) unstable; urgency=low

  * Incorporate the upstream release.
    - gid_t fixes are now upstream.
    - Status, Location and Content-Type headers may now be duplicated.
      Drop the Byte patch.

 -- Allard Hoeve <allard@byte.nl>  Wed, 07 Mar 2012 14:29:36 +0100

libapache-mod-fastcgi (2.4.7~0910052141-1) unstable; urgency=low

  * New upstream release

 -- Tatsuki Sugiura <sugi@nemui.org>  Mon, 15 Nov 2010 16:31:58 +0900

libapache-mod-fastcgi (2.4.6-1byte6+apache24) UNRELEASED; urgency=low

  * Fix code so it compiles against 2.4.x.

 -- Allard Hoeve <allard@byte.nl>  Wed, 23 Nov 2011 10:36:05 +0100

libapache-mod-fastcgi (2.4.6-1byte5) UNRELEASED; urgency=low

  * Reduce packet receive message to a debug message

 -- Allard Hoeve <allard@byte.nl>  Wed, 23 Nov 2011 10:36:05 +0100

libapache-mod-fastcgi (2.4.6-1byte4) UNRELEASED; urgency=low

  * Gebruik geen long meer, alleen maar uint64_t

 -- Allard Hoeve <allard@byte.nl>  Mon, 05 Sep 2011 11:19:31 +0200

libapache-mod-fastcgi (2.4.6-1byte3) UNRELEASED; urgency=low

  * Define a new packet type BYTE_ACC
  * Rename patches naar goede namen met byte- prefix
  * Handle Byte Accounting packets and save request notes

 -- Allard Hoeve <allard@byte.nl>  Mon, 05 Sep 2011 11:13:00 +0200

libapache-mod-fastcgi (2.4.6-1byte1) unstable; urgency=low

  * Versie 1 van migratie naar quilt vanaf dpatch
  * Ignore things after building. Compat level +3
  * Simply skip duplicate headers instead of croaking
  * Fix compile warnings

 -- Allard Hoeve <allard@byte.nl>  Tue, 30 Aug 2011 16:33:08 +0200

libapache-mod-fastcgi (2.4.6-1) unstable; urgency=low

  * New upstream release

 -- Tatsuki Sugiura <sugi@nemui.org>  Tue, 18 Mar 2008 11:23:42 +0900

libapache-mod-fastcgi (2.4.2-10) unstable; urgency=low

  * Drop apache1.3 module. (Closes: #429095)
  * Now this cannot be built with apache2.0.

 -- Tatsuki Sugiura <sugi@nemui.org>  Mon, 28 Jan 2008 15:17:58 +0900

libapache-mod-fastcgi (2.4.2-9) unstable; urgency=low

  * apply authn provider patch for apache2.2.
    Thanks for Martin Furter (Closes: #414185)
  * stop build apache 1.3 binary (Closes: #429095)
  * fix suexec wrapper path (Closes: #415913)

 -- Tatsuki Sugiura <sugi@nemui.org>  Sat, 25 Aug 2007 17:13:50 +0900

libapache-mod-fastcgi (2.4.2-8) unstable; urgency=high

  * transit libapache2-mod-fastcgi for apache2.2
  * Fix in built-in suexec path (Closes: #331617)
  * remove unnecessary libc6 version dependency (Closes: #343519)
  * apply patch to fix that apache2 segv on load (Closes: #343514)

 -- Tatsuki Sugiura <sugi@nemui.org>  Fri,  6 Oct 2006 20:53:21 +0900

libapache-mod-fastcgi (2.4.2-7) unstable; urgency=low

  * Update description. Thanks for Russ Allbery. (Closes: #320246)
  * a2{en,dis}cmd automatically called in postinst/prerm. (Closes: #320246)

 -- Tatsuki Sugiura <sugi@nemui.org>  Sat,  6 Aug 2005 14:18:30 +0900

libapache-mod-fastcgi (2.4.2-6) unstable; urgency=low

  * fix typo in original document (Closes: #288270)
  * add config topic in README.Debian (Closes: #298819)

 -- Tatsuki Sugiura <sugi@nemui.org>  Wed, 16 Mar 2005 22:27:02 +0900

libapache-mod-fastcgi (2.4.2-5) unstable; urgency=high

  * SuEXEC setting has been disabled in defualt. (Closes: #275201)

 -- Tatsuki Sugiura <sugi@nemui.org>  Tue, 19 Oct 2004 13:38:17 +0900

libapache-mod-fastcgi (2.4.2-4) unstable; urgency=low

  * Add Documentation

 -- Tatsuki Sugiura <sugi@nemui.org>  Wed,  8 Sep 2004 18:15:05 +0900

libapache-mod-fastcgi (2.4.2-3) unstable; urgency=high

  * Back out the ill-fated apache2 LFS transition.
  * Bump the apache2-{threaded,prefork}-dev build-dep to (>= 2.0.50-10)

 -- Tatsuki Sugiura <sugi@nemui.org>  Tue, 24 Aug 2004 22:44:11 +0900

libapache-mod-fastcgi (2.4.2-2) unstable; urgency=medium

  * rebuild for new ABI of apache2 2.0.50-9

 -- Tatsuki Sugiura <sugi@nemui.org>  Tue, 17 Aug 2004 15:08:04 +0900

libapache-mod-fastcgi (2.4.2-1) unstable; urgency=low

  * Upstream Release.
  * New Maintainer (Closes: #229214)

 -- Tatsuki Sugiura <sugi@nemui.org>  Sat, 24 Jul 2004 06:07:47 +0900

libapache-mod-fastcgi (2.4.0-4) unstable; urgency=low

  * QA upload.
  * libdb4.1-dev build-dependency removed. (Closes: #243017)
  * Standards-Version updated.

 -- Emanuele Rocca <ema@debian.org>  Tue, 13 Apr 2004 18:09:33 +0200

libapache-mod-fastcgi (2.4.0-3) unstable; urgency=low

  * Orphaned.

 -- Davide Puricelli (evo) <evo@debian.org>  Fri, 23 Jan 2004 19:15:54 +0100

libapache-mod-fastcgi (2.4.0-2) unstable; urgency=low

  * Removed a useless and buggy debian/postrm; closes: #181418.

 -- Davide Puricelli (evo) <evo@debian.org>  Wed, 19 Feb 2003 14:34:24 +0100

libapache-mod-fastcgi (2.4.0-1) unstable; urgency=low

  * New upstream version.
  * Bumping Standards-Version to 3.5.8.
  * Enhancing debian/postinst and debian/prerm scripts.

 -- Davide Puricelli (evo) <evo@debian.org>  Thu, 13 Feb 2003 14:21:57 +0100

libapache-mod-fastcgi (2.2.12-4) unstable; urgency=low

  * Fixed debian/rules (gah).

 -- Davide Puricelli (evo) <evo@debian.org>  Fri, 16 Aug 2002 14:45:48 +0200

libapache-mod-fastcgi (2.2.12-3) unstable; urgency=low

  * No longer links against (nonexistent) libdb.so.2.

 -- Davide Puricelli (evo) <evo@debian.org>  Fri, 16 Aug 2002 13:51:36 +0200

libapache-mod-fastcgi (2.2.12-2) unstable; urgency=low

  * Fixed -autoUpdate option, closes: #132981.
    Patch provided by Freddy Spierenburg <freddy@telegraafnet.nl>

 -- Davide Puricelli (evo) <evo@debian.org>  Sun, 17 Mar 2002 15:32:08 +0100

libapache-mod-fastcgi (2.2.12-1) unstable; urgency=low

  * New upstream version. 

 -- Davide Puricelli (evo) <evo@debian.org>  Sun,  9 Dec 2001 21:07:42 +0000

libapache-mod-fastcgi (2.2.10-3) unstable; urgency=low

  * Now depends on apache-common 1.3.14-2.

 -- Davide Puricelli (evo) <evo@debian.org>  Thu,  7 Dec 2000 19:47:14 +0100

libapache-mod-fastcgi (2.2.10-2) unstable; urgency=low



=== debian/control ===
Source: libapache-mod-fastcgi
Section: non-free/web
Priority: optional
Maintainer: Tatsuki Sugiura <sugi@nemui.org>
Standards-Version: 3.9.1
Build-Depends: debhelper (>= 8.0.0), cdbs, apache2-dev (>= 2.4) | apache2-prefork-dev (>= 2.2.4) | apache2-threaded-dev (>= 2.2.4), libtool, libapr1-dev, pkg-config
Uploaders: Taku YASUI <tach@debian.or.jp>
Homepage: http://www.fastcgi.com/

Package: libapache2-mod-fastcgi
Architecture: any
Depends: apache2.2-common (>= 2.2.4) | apache2-bin (>= 2.4), ${shlibs:Depends}
Description: Apache 2 FastCGI module for long-running CGI scripts
 This is a FastCGI module for the Apache 2.x web server.  FastCGI is an
 open standard for communicating between a web server and a long-running
 web application.  CGI scripts supporting FastCGI can be started as a
 daemon and process multiple requests without restarting.  This is
 particularly useful for scripts written in languages like Perl, as it
 saves the cost of recompiling the scripts and its loaded modules with
 each invocation.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/langcore.mk
include /usr/share/cdbs/1/class/makefile-vars.mk

APACHE2_VERSION=`dpkg -s apache2-prefork-dev apache2-threaded-dev 2>/dev/null |grep Version: | awk '{print $$2}'`

DEB_BUILDDIR = $(CURDIR)/build-tmp
DEB_BUILDDIR_libapache2-mod-fastcgi = $(DEB_BUILDDIR)/20
DEB_DESTDIR_libapache2-mod-fastcgi = $(CURDIR)/debian/libapache2-mod-fastcgi
DEB_FIXPERMS_EXCLUDE = var/lib/apache2/fastcgi var/lib/apache/fastcgi

AP2_MAKE_DEFS = top_dir=/usr/share/apache2 \
	APXS=apxs2 APACHECTL=apachectl2 \
	LIBTOOL="libtool --tag=CC" SH_LIBTOOL="libtool --tag=CC" \
	INCLUDES="-I/usr/include/apache2 `pkg-config --cflags apr-1`"

configure/libapache2-mod-fastcgi::
	cp -a *.c *.h *.mk .deps $(DEB_BUILDDIR_$(cdbs_curpkg))
	cp -a Makefile.AP2 $(DEB_BUILDDIR_$(cdbs_curpkg))

build/libapache2-mod-fastcgi::
	$(DEB_MAKE_INVOKE) -C $(DEB_BUILDDIR_$(cdbs_curpkg)) $(AP2_MAKE_DEFS) -f Makefile.AP2

install/libapache2-mod-fastcgi::
	mkdir -p $(DEB_DESTDIR_$(cdbs_curpkg))/usr/lib/apache2/modules
	install -m 644 $(DEB_BUILDDIR_$(cdbs_curpkg))/.libs/mod_fastcgi.so \
	  $(DEB_DESTDIR_$(cdbs_curpkg))/usr/lib/apache2/modules
	mkdir -p $(DEB_DESTDIR_$(cdbs_curpkg))/etc/apache2/mods-available
	install -m 644 debian/fastcgi.load \
	  $(DEB_DESTDIR_$(cdbs_curpkg))/etc/apache2/mods-available
	install -m 644 debian/fastcgi.conf2 \
	  $(DEB_DESTDIR_$(cdbs_curpkg))/etc/apache2/mods-available/fastcgi.conf
	mkdir -p $(DEB_DESTDIR_$(cdbs_curpkg))/var/lib/apache2/fastcgi
	chown www-data:www-data $(DEB_DESTDIR_$(cdbs_curpkg))/var/lib/apache2/fastcgi
	chmod 755 $(DEB_DESTDIR_$(cdbs_curpkg))/var/lib/apache2/fastcgi

## mod fcgid

=== Makefile ===
# $Id$

COMMENT=		Binary compatible alternative to Apache mod_fastcgi.
DISTNAME=		mod_fcgid.2.2
PKGNAME=		mod_fcgid-2.2	# Different archive naming scheme

CATEGORIES=		www

HOMEPAGE=		http://fastcgi.coremail.cn/	

MAINTAINER=		Paul Irofti <bulibuta@gmail.com>

# GPLv2
PERMIT_PACKAGE_CDROM=	Yes
PERMIT_PACKAGE_FTP=	Yes
PERMIT_DISTFILES_CDROM=	Yes
PERMIT_DISTFILES_FTP=	Yes

BUILD_DEPENDS+=		:apache-httpd-*:www/apache-httpd

USE_LIBTOOL=		Yes

MASTER_SITES=		${MASTER_SITE_SOURCEFORGE:=mod-fcgid/}	

NO_REGRESS=		Yes

.include <bsd.port.mk>

## mod fcgid-2.3.9

=== modules/fcgid/CMakeLists.txt ===
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Read the section on cmake builds in README-FCGID.

PROJECT(mod_fcgid C)

CMAKE_MINIMUM_REQUIRED(VERSION 2.8)

IF(NOT EXISTS ${CMAKE_INSTALL_PREFIX}/lib/libhttpd.lib)
  MESSAGE(FATAL_ERROR "libhttpd.lib was not found in prefix ${CMAKE_INSTALL_PREFIX}")
ENDIF()

# Select APR trunk (libapr-2.lib) if it exists in PREFIX/lib; otherwise, select
# APR 1.x + APR-util 1.x
IF(EXISTS "${CMAKE_INSTALL_PREFIX}/lib/libapr-2.lib")
  SET(apr_libraries
      ${CMAKE_INSTALL_PREFIX}/lib/libapr-2.lib)
ELSEIF(EXISTS "${CMAKE_INSTALL_PREFIX}/lib/libapr-1.lib")
  SET(apr_libraries
      ${CMAKE_INSTALL_PREFIX}/lib/libapr-1.lib
      ${CMAKE_INSTALL_PREFIX}/lib/libaprutil-1.lib)
ELSE()
  MESSAGE(FATAL_ERROR "APR libraries were not found in prefix ${CMAKE_INSTALL_PREFIX}")
ENDIF()

# Misc. options
OPTION(INSTALL_PDB "Install .pdb file (if generated)" ON)

SET(mod_fcgid_sources
    fcgid_bridge.c      fcgid_bucket.c      fcgid_conf.c        fcgid_filter.c
    fcgid_pm_main.c     fcgid_pm_win.c      fcgid_proc_win.c    fcgid_proctbl_win.c
    fcgid_protocol.c    fcgid_spawn_ctl.c   mod_fcgid.c         mod_fcgid.rc
)
INCLUDE_DIRECTORIES(${CMAKE_INSTALL_PREFIX}/include)
ADD_LIBRARY(mod_fcgid SHARED ${mod_fcgid_sources})
# magic base address taken from traditional Windows build
SET_TARGET_PROPERTIES(mod_fcgid PROPERTIES SUFFIX .so LINK_FLAGS /base:0x46430000)
TARGET_LINK_LIBRARIES(mod_fcgid ${CMAKE_INSTALL_PREFIX}/lib/libhttpd.lib ${apr_libraries})
INSTALL(TARGETS mod_fcgid RUNTIME DESTINATION modules)
IF(INSTALL_PDB)
  INSTALL(FILES ${CMAKE_BINARY_DIR}/mod_fcgid.pdb DESTINATION modules
          CONFIGURATIONS RelWithDebInfo Debug)
ENDIF()

## mod gearman2-2.0.0

=== debian/changelog ===
mod-gearman2 (2.0.0) UNRELEASED; urgency=low

  * new upstream release

 -- Sven Nierlein <sven@consol.de>  Fri, 15 Nov 2013 21:46:11 +0100

mod-gearman (1.4.12) UNRELEASED; urgency=low

  * new upstream release

 -- Sven Nierlein <sven@consol.de>  Tue, 05 Nov 2013 10:30:02 +0100

mod-gearman (1.4.10) UNRELEASED; urgency=low

  * new upstream release

 -- Sven Nierlein <sven@consol.de>  Mon, 05 Aug 2013 11:42:11 +0200

mod-gearman (1.4.8) UNRELEASED; urgency=low

  * new upstream release

 --  Sven Nierlein <sven@consol.de>  Sat, 27 Jul 2013 13:50:38 +0200

mod-gearman (1.4.4-1) UNRELEASED; urgency=low

  * New upstream version

 -- Sven Nierlein <sven.nierlein@consol.de>  Tue, 03 May 2013 17:52:11 +0200

mod-gearman (1.0.3-1) unstable; urgency=low

  * New upstream version

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Thu, 07 Apr 2011 12:24:22 +0200

mod-gearman (1.0-1) unstable; urgency=low

  * Initial release (Closes: #605385)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Thu, 10 Feb 2011 13:45:07 +0100

## mod gearman2-2.1.0

=== debian/changelog ===
mod-gearman2 (2.1.0) UNRELEASED; urgency=low

  * new upstream release

 -- Sven Nierlein <sven@consol.de>  Sun, 18 Jan 2015 21:43:28 +0100

## mod gearman2-2.1.1

=== debian/changelog ===
mod-gearman2 (2.1.1) UNRELEASED; urgency=low

  * new upstream release

 -- Sven Nierlein <sven@consol.de>  Tue, 20 Jan 2015 13:53:49 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_VERSION := $(shell dpkg-parsechangelog --format rfc822 | grep-dctrl -ensVersion -S .)

DH_VERBOSE=1

%:
	dh $@

override_dh_clean:
	rm -f compile depcomp install-sh missing
	rm -f extras/gearmand-init
	dh_clean

override_dh_auto_configure:
	./autogen.sh
	dh_auto_configure -- --localstatedir=/var/lib --enable-embedded-perl
	make clean

override_dh_auto_install:
	dh_auto_install
	cp etc/mod_gearman_worker.conf debian/worker.conf
	cp etc/mod_gearman_neb.conf debian/module.conf
	cp worker/mod_gearman_p1.pl debian/tmp/usr/share/mod_gearman2/mod_gearman_p1.pl
	rm -f debian/mod-gearman/usr/share/mod_gearman2/shared.conf
	rm -f debian/mod-gearman/usr/share/mod_gearman2/standalone_worker.conf

	help2man --no-info --section=8 --version-string="mod_gearman_worker $(DEB_VERSION)" \
		--help-option=-h --include=$(CURDIR)/debian/help2man.include \
                -n "Agent that runs active checks from a gearman queue" \
                $(CURDIR)/debian/tmp/usr/bin/mod_gearman2_worker \
                > $(CURDIR)/debian/mod_gearman2_worker.8

	help2man --no-info --section=8 --version-string="check_gearman $(DEB_VERSION)" \
		--help-option=-h --include=$(CURDIR)/debian/help2man.include \
                -n "Nagios service check to monitor the gearman job server" \
                $(CURDIR)/debian/tmp/usr/bin/check_gearman2 \
                > $(CURDIR)/debian/check_gearman2.8

	help2man --no-info --section=8 --version-string="send_gearman $(DEB_VERSION)" \
		--help-option=-h --include=$(CURDIR)/debian/help2man.include \
                -n "Submit active and passive check results to a gearman job server" \
                $(CURDIR)/debian/tmp/usr/bin/send_gearman2 \
                > $(CURDIR)/debian/send_gearman2.8

	help2man --no-info --section=8 --version-string="gearman_top $(DEB_VERSION)" \
		--help-option=-h --include=$(CURDIR)/debian/help2man.include \
                -n "Monitor the gearman job server" \
                $(CURDIR)/debian/tmp/usr/bin/gearman_top2 \
                > $(CURDIR)/debian/gearman_top2.8

	help2man --no-info --section=8 --version-string="send_multi $(DEB_VERSION)" \
		--help-option=-h --include=$(CURDIR)/debian/help2man.include \
                -n "Submit check results from check_multi to a gearman job server" \
                $(CURDIR)/debian/tmp/usr/bin/send_multi2 \
                > $(CURDIR)/debian/send_multi2.8

	help2man --no-info --section=8 --version-string="mod_gearman_mini_epn $(DEB_VERSION)" \
		--help-option=-h --include=$(CURDIR)/debian/help2man.include \
                -n "Monitor the gearman job server" \
                $(CURDIR)/debian/tmp/usr/bin/mod_gearman2_mini_epn \
                > $(CURDIR)/debian/mod_gearman2_mini_epn.8

override_dh_auto_test:

## mod gearman2-2.1.2

=== debian/changelog ===
mod-gearman2 (2.1.2) UNRELEASED; urgency=low

  * new upstream release

 -- Sven Nierlein <sven@consol.de>  Fri, 13 Feb 2015 14:31:36 +0100

## mod gearman2-2.1.4

=== debian/changelog ===
mod-gearman2 (2.1.4) UNRELEASED; urgency=low

  * new upstream release

 -- Sven Nierlein <sven@consol.de>  Fri, 28 Aug 2015 16:01:54 +0200

## mod gearman2-2.1.5

=== debian/changelog ===
mod-gearman2 (2.1.5) UNRELEASED; urgency=low

  * new upstream release

 -- Sven Nierlein <sven@consol.de>  Wed, 30 Sep 2015 11:51:51 +0200

=== debian/control ===
Source: mod-gearman2
Section: net
Priority: extra
Maintainer: Sven Nierlein <sven.nierlein@consol.de>
Build-Depends: debhelper (>= 7.0.50~), automake, libtool, libgearman-dev (>= 0.14), libncurses5-dev, libltdl-dev, gearman-job-server, help2man, dctrl-tools
Standards-Version: 3.9.1
Homepage: http://labs.consol.de/nagios/mod-gearman/
Vcs-Git: git://git.debian.org/pkg-nagios/pkg-mod-gearman
Vcs-Browser: http://git.debian.org/?p=pkg-nagios/pkg-mod-gearman

Package: mod-gearman2-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Documentation and examples for Mod Gearman
 This package contains documentation and examples common to the
 mod-gearman-module and mod-gearman-worker packages.

Package: mod-gearman2-module
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Event broker module to distribute service checks.
 Event broker module for Naemon. This module adds
 servicechecks, hostchecks and eventhandlers to a queue on a Gearman
 job server.
 .
 There can be multiple equal gearman job servers.

Package: mod-gearman2-worker
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Worker agent for mod-gearman2
 The worker agent for mod-geraman connects to a gearman job server,
 runs active Naemon service checks, and return the results.
 .
 The agent can ask for any available check, or it can be bound to
 specific hostgroups or servicegroups.
 .
 This package also includes a set of extra tools to send check results
 to Naemon via a gearman server, and a plugin to monitor the gearman
 job server itself.

Package: mod-gearman2-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tools for mod-gearman2
 The Mod Gearman package contains tools to complement a mod gearman
 installation.
 .
 Such tools include:
 .
  - check_gearman2 - Naemon service check to monitor the gearman job
    server
  - gearman_top2 - Monitor the gearman job server
  - send_gearman2 - Submit active and passive check results to a
    gearman job server
  - send_multi2 - Submit check results from the check_multi to a gearman
    job server
  - mod_gearman_mini_epn2 - mini epn tester

## mod gearman-3.0.0

=== debian/changelog ===
mod-gearman (3.0.0) UNRELEASED; urgency=low

  * new upstream release

 --  Sven Nierlein <sven@consol.de>  Sun, 30 Oct 2016 19:49:24 +0100

mod-gearman (3.0.0b2) UNRELEASED; urgency=low

  * new upstream release

 --  Sven Nierlein <sven@consol.de>  Wed, 10 Aug 2016 16:44:02 +0200

mod-gearman (2.1.1) UNRELEASED; urgency=low

  * new upstream release

 -- Sven Nierlein <sven@consol.de>  Tue, 20 Jan 2015 13:53:49 +0100

mod-gearman (2.1.0) UNRELEASED; urgency=low

  * new upstream release

 -- Sven Nierlein <sven@consol.de>  Sun, 18 Jan 2015 21:43:28 +0100

mod-gearman (2.0.0) UNRELEASED; urgency=low

  * new upstream release

 -- Sven Nierlein <sven@consol.de>  Fri, 15 Nov 2013 21:46:11 +0100

## mod gearman-3.0.0b1

=== debian/changelog ===
mod-gearman (3.0.0b1) UNRELEASED; urgency=low

  [ Sven Nierlein ]
  * new upstream release

 --  Sven Nierlein <sven@consol.de>  Wed, 06 Apr 2016 15:05:24 +0200

=== debian/control ===
Source: mod-gearman
Section: net
Priority: extra
Maintainer: Sven Nierlein <sven.nierlein@consol.de>
Build-Depends: debhelper (>= 7.0.50~), automake, libtool, libgearman-dev (>= 0.14), libncurses5-dev, libltdl-dev, gearman-job-server, help2man, dctrl-tools
Standards-Version: 3.9.1
Homepage: http://labs.consol.de/nagios/mod-gearman/
Vcs-Git: git://git.debian.org/pkg-nagios/pkg-mod-gearman
Vcs-Browser: http://git.debian.org/?p=pkg-nagios/pkg-mod-gearman

Package: mod-gearman-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Documentation and examples for Mod Gearman
 This package contains documentation and examples common to the
 mod-gearman-module and mod-gearman-worker packages.

Package: mod-gearman-module
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Event broker module to distribute service checks.
 Event broker module for Naemon. This module adds
 servicechecks, hostchecks and eventhandlers to a queue on a Gearman
 job server.
 .
 There can be multiple equal gearman job servers.

Package: mod-gearman-worker
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Worker agent for mod-gearman
 The worker agent for mod-geraman connects to a gearman job server,
 runs active Naemon service checks, and return the results.
 .
 The agent can ask for any available check, or it can be bound to
 specific hostgroups or servicegroups.
 .
 This package also includes a set of extra tools to send check results
 to Naemon via a gearman server, and a plugin to monitor the gearman
 job server itself.

Package: mod-gearman-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tools for mod-gearman
 The Mod Gearman package contains tools to complement a mod gearman
 installation.
 .
 Such tools include:
 .
  - check_gearman - Naemon service check to monitor the gearman job
    server
  - gearman_top - Monitor the gearman job server
  - send_gearman - Submit active and passive check results to a
    gearman job server
  - send_multi - Submit check results from the check_multi to a gearman
    job server
  - mod_gearman_mini_epn - mini epn tester

## mod gearman-3.0.1

=== debian/changelog ===
mod-gearman (3.0.1) UNRELEASED; urgency=low

  [ Sven Nierlein ]
  * new upstream release

 --  Sven Nierlein <sven@consol.de>  Sat, 05 Nov 2016 10:18:07 +0100

## mod gearman-3.0.2

=== debian/changelog ===
mod-gearman (3.0.2) UNRELEASED; urgency=low

  * new upstream release

 -- Sven Nierlein <sven@consol.de>  Fri, 05 May 2017 12:13:57 +0200

## mod gearman-3.0.3

=== debian/changelog ===
mod-gearman (3.0.3) UNRELEASED; urgency=low

  * new upstream release

 --  Sven Nierlein <sven@consol.de>  Mon, 12 Jun 2017 11:32:26 +0200

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
 
 Package: mod-gearman-worker
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${extra:Depends}
 Description: Worker agent for mod-gearman
  The worker agent for mod-geraman connects to a gearman job server,
  runs active Naemon service checks, and return the results.

## mod gearman-3.0.4

=== debian/changelog ===
mod-gearman (3.0.4) UNRELEASED; urgency=low

  * new upstream release

 --  Sven Nierlein <sven@consol.de>  Fri, 23 Jun 2017 16:35:42 +0200

## mod gearman-3.0.6

=== debian/changelog ===
mod-gearman (3.0.6) UNRELEASED; urgency=low

  * new upstream release

 --  Sven Nierlein <sven@consol.de>  Thu, 26 Jul 2018 10:06:09 +0200

mod-gearman (3.0.5) UNRELEASED; urgency=low

  * new upstream release

 --  Sven Nierlein <sven@consol.de>  Mon, 12 Jun 2017 11:32:26 +0200

mod-gearman (1.0.3-1) UNRELEASED; urgency=low

  * New upstream version

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Thu, 07 Apr 2011 12:24:22 +0200

mod-gearman (1.0-1) UNRELEASED; urgency=low

  * Initial release (Closes: #605385)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Thu, 10 Feb 2011 13:45:07 +0100

## mod gearman-3.0.7

=== debian/changelog ===
mod-gearman (3.0.7) UNRELEASED; urgency=low

  * new upstream release

 -- sven <sven@mo.nierlein.de>  Fri, 30 Nov 2018 17:03:40 +0100

## mod gearman-3.0.8

=== debian/changelog ===
mod-gearman (3.0.8) UNRELEASED; urgency=low

  * new upstream release

 -- sven <sven@mo.nierlein.de>  Fri, 15 Feb 2019 15:22:09 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_VERSION := $(shell dpkg-parsechangelog --format rfc822 | grep-dctrl -ensVersion -S .)

DH_VERBOSE=1

%:
	dh $@

override_dh_clean:
	rm -f compile depcomp install-sh missing
	rm -f extras/gearmand-init
	dh_clean

override_dh_auto_configure:
	./autogen.sh
	dh_auto_configure -- --localstatedir=/var/lib --enable-embedded-perl
	make clean

override_dh_auto_install:
	dh_auto_install
	cp etc/mod_gearman_worker.conf debian/worker.conf
	cp etc/mod_gearman_neb.conf debian/module.conf
	cp worker/mod_gearman_p1.pl debian/tmp/usr/share/mod_gearman/mod_gearman_p1.pl
	rm -f debian/mod-gearman/usr/share/mod_gearman/shared.conf
	rm -f debian/mod-gearman/usr/share/mod_gearman/standalone_worker.conf

	help2man --no-info --section=8 --version-string="mod_gearman_worker $(DEB_VERSION)" \
		--help-option=-h --include=$(CURDIR)/debian/help2man.include \
                -n "Agent that runs active checks from a gearman queue" \
                $(CURDIR)/debian/tmp/usr/bin/mod_gearman_worker \
                > $(CURDIR)/debian/mod_gearman_worker.8

	help2man --no-info --section=8 --version-string="check_gearman $(DEB_VERSION)" \
		--help-option=-h --include=$(CURDIR)/debian/help2man.include \
                -n "Nagios service check to monitor the gearman job server" \
                $(CURDIR)/debian/tmp/usr/bin/check_gearman \
                > $(CURDIR)/debian/check_gearman.8

	help2man --no-info --section=8 --version-string="send_gearman $(DEB_VERSION)" \
		--help-option=-h --include=$(CURDIR)/debian/help2man.include \
                -n "Submit active and passive check results to a gearman job server" \
                $(CURDIR)/debian/tmp/usr/bin/send_gearman \
                > $(CURDIR)/debian/send_gearman.8

	help2man --no-info --section=8 --version-string="gearman_top $(DEB_VERSION)" \
		--help-option=-h --include=$(CURDIR)/debian/help2man.include \
                -n "Monitor the gearman job server" \
                $(CURDIR)/debian/tmp/usr/bin/gearman_top \
                > $(CURDIR)/debian/gearman_top.8

	help2man --no-info --section=8 --version-string="send_multi $(DEB_VERSION)" \
		--help-option=-h --include=$(CURDIR)/debian/help2man.include \
                -n "Submit check results from check_multi to a gearman job server" \
                $(CURDIR)/debian/tmp/usr/bin/send_multi \
                > $(CURDIR)/debian/send_multi.8

	help2man --no-info --section=8 --version-string="mod_gearman_mini_epn $(DEB_VERSION)" \
		--help-option=-h --include=$(CURDIR)/debian/help2man.include \
                -n "Monitor the gearman job server" \
                $(CURDIR)/debian/tmp/usr/bin/mod_gearman_mini_epn \
                > $(CURDIR)/debian/mod_gearman_mini_epn.8

override_dh_auto_test:

## mod gearman-3.0.9

=== debian/changelog ===
mod-gearman (3.0.9) UNRELEASED; urgency=low

  * new upstream release

 -- Sven Nierlein <sven@consol.de>  Tue, 16 Apr 2019 17:18:02 +0200

## mod gearman-3.1.0

=== debian/changelog ===
mod-gearman (3.1.0) UNRELEASED; urgency=low

  * new upstream release

 -- Sven Nierlein <sven@consol.de>  Mon, 01 Jul 2019 15:35:12 +0200

## mod gearman-3.2.0

=== debian/changelog ===
mod-gearman (3.2.0) UNRELEASED; urgency=low

  * new upstream release

 --  Sven Nierlein <sven@consol.de>  Tue, 10 Sep 2019 08:56:42 +0200

## mod gearman-3.3.0

=== debian/changelog ===
mod-gearman (3.3.0) UNRELEASED; urgency=low

  * new upstream release

 -- Sven Nierlein <sven@tsui.int.consol.de>  Fri, 28 Feb 2020 16:24:14 +0100

mod-gearman (3.2.1) UNRELEASED; urgency=low

  * new upstream release

 --  Sven Nierlein <sven@consol.de>  Mon, 21 Oct 2019 18:14:32 +0200

## mod gearman-3.3.1

=== debian/changelog ===
mod-gearman (3.3.1) UNRELEASED; urgency=low

  * new upstream release

 --  Sven Nierlein <sven@consol.de>  Thu, 25 Jun 2020 22:51:20 +0200

## mod gearman-3.3.2

=== debian/changelog ===
mod-gearman (3.3.2) UNRELEASED; urgency=low

  * new upstream release

 --  Sven Nierlein <sven@consol.de>  Wed, 19 Aug 2020 16:21:10 +0200

## mod gearman-3.3.3

=== debian/changelog ===
mod-gearman (3.3.3) UNRELEASED; urgency=low

  * new upstream release

 -- Sven Nierlein <sven@consol.de>  Tue, 01 Sep 2020 11:30:55 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: net
 Priority: extra
 Maintainer: Sven Nierlein <sven.nierlein@consol.de>
-Build-Depends: debhelper (>= 7.0.50~), automake, libtool, libgearman-dev (>= 0.14), libncurses5-dev, libltdl-dev, gearman-job-server, help2man, dctrl-tools
+Build-Depends: debhelper (>= 10), automake, libtool, libgearman-dev (>= 0.14), libncurses5-dev, libltdl-dev, gearman-job-server, help2man, dctrl-tools
+Pre-Depends: ${misc:Pre-Depends}
 Standards-Version: 3.9.1
 Homepage: http://labs.consol.de/nagios/mod-gearman/
 Vcs-Git: git://git.debian.org/pkg-nagios/pkg-mod-gearman
@@ -12,6 +13,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Description: Documentation and examples for Mod Gearman
  This package contains documentation and examples common to the
  mod-gearman-module and mod-gearman-worker packages.
@@ -19,6 +21,7 @@
 Package: mod-gearman-module
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Description: Event broker module to distribute service checks.
  Event broker module for Naemon. This module adds
  servicechecks, hostchecks and eventhandlers to a queue on a Gearman
@@ -29,6 +32,7 @@
 Package: mod-gearman-worker
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${extra:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Description: Worker agent for mod-gearman
  The worker agent for mod-geraman connects to a gearman job server,
  runs active Naemon service checks, and return the results.
@@ -43,6 +47,7 @@
 Package: mod-gearman-tools
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Description: Tools for mod-gearman
  The Mod Gearman package contains tools to complement a mod gearman
  installation.

## mod gearman-3.3.4.20210714

=== debian/changelog ===
mod-gearman (3.3.4.20210714) UNRELEASED; urgency=low

  * new upstream release

 -- Consol <monitoring-team@consol.de>  Wed, 14 Jul 2021 00:31:59 +0200

## mod gearman-3.3.4.20210720

=== debian/changelog ===
mod-gearman (3.3.4.20210720) UNRELEASED; urgency=low

  * new upstream release

 -- Consol <monitoring-team@consol.de>  Tue, 20 Jul 2021 05:13:40 +0200

## mod gearman-3.3.4.20210721

=== debian/changelog ===
mod-gearman (3.3.4.20210721) UNRELEASED; urgency=low

  * new upstream release

 -- Consol <monitoring-team@consol.de>  Wed, 21 Jul 2021 08:21:09 +0200

## mod gearman-3.3.4.20210722

=== debian/changelog ===
mod-gearman (3.3.4.20210722) UNRELEASED; urgency=low

  * new upstream release

 -- Consol <monitoring-team@consol.de>  Thu, 22 Jul 2021 05:34:07 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: net
 Priority: extra
 Maintainer: Sven Nierlein <sven.nierlein@consol.de>
-Build-Depends: debhelper (>= 10), automake, libtool, libgearman-dev (>= 0.14), libncurses5-dev, libltdl-dev, gearman-job-server, help2man, dctrl-tools
+Build-Depends: debhelper (>= 10), automake, libtool, libgearman-dev (>= 1.1), libncurses5-dev,
+               libltdl-dev, gearman-job-server, help2man, dctrl-tools, libperl-dev, gearman-tools,
+               monitoring-plugins-basic, naemon-dev, pkg-config
 Pre-Depends: ${misc:Pre-Depends}
 Standards-Version: 3.9.1
 Homepage: http://labs.consol.de/nagios/mod-gearman/
-Vcs-Git: git://git.debian.org/pkg-nagios/pkg-mod-gearman
-Vcs-Browser: http://git.debian.org/?p=pkg-nagios/pkg-mod-gearman
 
 Package: mod-gearman-doc
 Architecture: all
@@ -20,7 +20,7 @@
 
 Package: mod-gearman-module
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, naemon-core, libc6
 Pre-Depends: ${misc:Pre-Depends}
 Description: Event broker module to distribute service checks.
  Event broker module for Naemon. This module adds

## mod gearman-3.3.4.20210723

=== debian/changelog ===
mod-gearman (3.3.4.20210723) UNRELEASED; urgency=low

  * new upstream release

 -- Consol <monitoring-team@consol.de>  Fri, 23 Jul 2021 09:05:38 +0200

## mod gearman-3.3.4.20210724

=== debian/changelog ===
mod-gearman (3.3.4.20210724) UNRELEASED; urgency=low

  * new upstream release

 -- Consol <monitoring-team@consol.de>  Sat, 24 Jul 2021 03:15:37 +0200

## mod gearman-3.3.4.20210727

=== debian/changelog ===
mod-gearman (3.3.4.20210727) UNRELEASED; urgency=low

  * new upstream release

 -- Consol <monitoring-team@consol.de>  Tue, 27 Jul 2021 05:13:41 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Sven Nierlein <sven.nierlein@consol.de>
 Build-Depends: debhelper (>= 10), automake, libtool, libgearman-dev (>= 1.1), libncurses5-dev,
                libltdl-dev, gearman-job-server, help2man, dctrl-tools, libperl-dev, gearman-tools,
-               monitoring-plugins-basic, naemon-dev, pkg-config
+               naemon-dev, pkg-config
 Pre-Depends: ${misc:Pre-Depends}
 Standards-Version: 3.9.1
 Homepage: http://labs.consol.de/nagios/mod-gearman/

## mod gearman-3.3.4.20220112

=== debian/changelog ===
mod-gearman (3.3.4.20220112) UNRELEASED; urgency=low

  * new upstream release

 -- Consol <monitoring-team@consol.de>  Wed, 12 Jan 2022 04:44:06 +0100

## mod gearman-4.0.0

=== debian/changelog ===
mod-gearman (4.0.0) UNRELEASED; urgency=low

  * new upstream release

 --  <build@mon-build-master.int.consol.de>  Fri, 11 Mar 2022 16:14:55 +0100

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,9 @@
 
 %:
 	dh $@
+
+override_dh_installinit:
+	true
 
 override_dh_clean:
 	rm -f compile depcomp install-sh missing
@@ -25,6 +28,7 @@
 	cp worker/mod_gearman_p1.pl debian/tmp/usr/share/mod_gearman/mod_gearman_p1.pl
 	rm -f debian/mod-gearman/usr/share/mod_gearman/shared.conf
 	rm -f debian/mod-gearman/usr/share/mod_gearman/standalone_worker.conf
+	rm -f debian/mod-gearman/etc/init.d/mod-gearman-worker
 
 	help2man --no-info --section=8 --version-string="mod_gearman_worker $(DEB_VERSION)" \
 		--help-option=-h --include=$(CURDIR)/debian/help2man.include \
@@ -34,7 +38,7 @@
 
 	help2man --no-info --section=8 --version-string="check_gearman $(DEB_VERSION)" \
 		--help-option=-h --include=$(CURDIR)/debian/help2man.include \
-                -n "Nagios service check to monitor the gearman job server" \
+                -n "Naemon service check to monitor the gearman job server" \
                 $(CURDIR)/debian/tmp/usr/bin/check_gearman \
                 > $(CURDIR)/debian/check_gearman.8

## mod gearman-4.0.1.20220315

=== debian/changelog ===
mod-gearman (4.0.1.20220315) UNRELEASED; urgency=low

  * new upstream release

 -- Consol <monitoring-team@consol.de>  Tue, 15 Mar 2022 04:00:38 +0100

## mod gearman-4.0.2

=== debian/changelog ===
mod-gearman (4.0.2) UNRELEASED; urgency=low

  * new upstream release

 --  Sven Nierlein <sven@consol.de>  Tue, 07 Jun 2022 16:43:18 +0200

mod-gearman (4.0.1) UNRELEASED; urgency=low

  * new upstream release

 -- Sven Nierlein <sven@consol.de>  Tue, 15 Mar 2022 09:51:35 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Build-Depends: debhelper (>= 10), automake, libtool, libgearman-dev (>= 1.1), libncurses5-dev,
                libltdl-dev, gearman-job-server, help2man, dctrl-tools, libperl-dev, gearman-tools,
                naemon-dev, pkg-config
-Pre-Depends: ${misc:Pre-Depends}
 Standards-Version: 3.9.1
 Homepage: http://labs.consol.de/nagios/mod-gearman/
 
@@ -13,15 +12,13 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
-Pre-Depends: ${misc:Pre-Depends}
-Description: Documentation and examples for Mod Gearman
- This package contains documentation and examples common to the
+Description: Documentation for Mod Gearman
+ This package contains documentation to the
  mod-gearman-module and mod-gearman-worker packages.
 
 Package: mod-gearman-module
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, naemon-core, libc6
-Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, naemon-core, libc6
 Description: Event broker module to distribute service checks.
  Event broker module for Naemon. This module adds
  servicechecks, hostchecks and eventhandlers to a queue on a Gearman
@@ -31,8 +28,7 @@
 
 Package: mod-gearman-worker
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${extra:Depends}
-Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Worker agent for mod-gearman
  The worker agent for mod-geraman connects to a gearman job server,
  runs active Naemon service checks, and return the results.
@@ -47,7 +43,6 @@
 Package: mod-gearman-tools
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Pre-Depends: ${misc:Pre-Depends}
 Description: Tools for mod-gearman
  The Mod Gearman package contains tools to complement a mod gearman
  installation.

## mod gearman-4.0.3

=== debian/changelog ===
mod-gearman (4.0.3) UNRELEASED; urgency=low

  * new upstream release

 --  Sven Nierlein <sven@consol.de>  Tue, 23 Aug 2022 21:20:28 +0200

## mod gearman-4.0.3.20220729

=== debian/changelog ===
mod-gearman (4.0.3.20220729) UNRELEASED; urgency=low

  * new upstream release

 -- Consol <monitoring-team@consol.de>  Fri, 29 Jul 2022 02:09:57 +0200

## mod gearman-4.0.3.20220823

=== debian/changelog ===
mod-gearman (4.0.3.20220823) UNRELEASED; urgency=low

  * new upstream release

 -- Consol <monitoring-team@consol.de>  Tue, 23 Aug 2022 03:10:27 +0200

## mod gearman-4.0.4

=== debian/changelog ===
mod-gearman (4.0.4) UNRELEASED; urgency=low

  * new upstream release

 -- Sven Nierlein <sven@consol.de>  Mon, 14 Nov 2022 15:45:45 +0100

## mod gearman-4.0.4.20220828

=== debian/changelog ===
mod-gearman (4.0.4.20220828) UNRELEASED; urgency=low

  * new upstream release

 -- Consol <monitoring-team@consol.de>  Sun, 28 Aug 2022 16:53:07 +0200

## mod gearman-4.0.4.20220829

=== debian/changelog ===
mod-gearman (4.0.4.20220829) UNRELEASED; urgency=low

  * new upstream release

 -- Consol <monitoring-team@consol.de>  Mon, 29 Aug 2022 00:20:28 +0200

## mod gearman-4.0.4.20220830

=== debian/changelog ===
mod-gearman (4.0.4.20220830) UNRELEASED; urgency=low

  * new upstream release

 -- Consol <monitoring-team@consol.de>  Tue, 30 Aug 2022 04:42:02 +0200

## mod gearman-4.0.4.20221108

=== debian/changelog ===
mod-gearman (4.0.4.20221108) UNRELEASED; urgency=low

  * new upstream release

 -- Consol <monitoring-team@consol.de>  Tue, 08 Nov 2022 03:58:56 +0100

## mod gearman-4.0.5.20221208

=== debian/changelog ===
mod-gearman (4.0.5.20221208) UNRELEASED; urgency=low

  * new upstream release

 -- Consol <monitoring-team@consol.de>  Thu, 08 Dec 2022 03:01:26 +0100

## mod gearman-4.0.5.20221213

=== debian/changelog ===
mod-gearman (4.0.5.20221213) UNRELEASED; urgency=low

  * new upstream release

 -- Consol <monitoring-team@consol.de>  Tue, 13 Dec 2022 06:44:34 +0100

## mod gearman-4.0.5.20221215

=== debian/changelog ===
mod-gearman (4.0.5.20221215) UNRELEASED; urgency=low

  * new upstream release

 -- Consol <monitoring-team@consol.de>  Thu, 15 Dec 2022 14:59:08 +0100
